---
title: List exclusions
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/listcacheexclusions/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/listcacheexclusions.png
---

# List exclusions

GET

/installs/{install_id}/cache_exclusions

Select code sample

```sh
curl --request GET \
  --url 'https://api.wpengineapi.com/v1/installs/294deacc-d8b8-4005-82c4-0727ba8ddde0/cache_exclusions?limit=100&offset=100' \
  --header 'Authorization: Basic <credentials>'
```

-

Returns a paginated list of cache exclusion rules configured for the install. Each exclusion has a `type` (`query arg`, `url path` or `cookie`) and a `value` used to match requests that should bypass the cache.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**install_id**

required

string format: uuid

ID of install

#### Example

```
294deacc-d8b8-4005-82c4-0727ba8ddde0
```

### Query Parameters

**limit**

integer

default: 100 <= 100

(Optional) The number of records to return

#### Example

```json
100
```

**offset**

integer

0

(Optional) The first record of the result set to be retrieved

#### Example

```json
100
```

## Responses

### 200

Returns a list of `CacheExclusion` objects.

Media typeapplication/json

object

**previous**

Path to the previous page of results

string

nullable

**next**

Path to the next page of results

string

nullable

**count**

The total number of results

integer

**results**

Array\<object>

object

**type**

required

The kind of request attribute this exclusion matches on

string

Allowed values: query arg url path cookie

**value**

required

The value used to match requests that should bypass the cache

string

#### Example

```json
{
  "previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
  "next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
  "count": 225,
  "results": [
    {
      "type": "query arg",
      "value": "/foo"
    }
  ]
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 502

An invalid response was received from an upstream server

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
